/* setting global variables */
:root {
    --dark-sage: #bac8c1;
    --darker-sage:rgb(147, 167, 157);
    --light-sage: #e4e9e7;
    --white: #f4f1ed;
    --black: #002220;
    --purple: #4e2780;
    --lavender: #e6ddf1;
    --yellow: #ffea96;
    --header1: 'Zodiak', serif;
    --header2: 'Boska', serif;
    --header3: 'Gambarino', serif;
    --body1: 'Satoshi', sans-serif;
    --body2: 'Ranade', sans-serif;
}

/* setting basic layouts */
body {
    margin: 0%;
    padding: 0%;
    background-color: var(--dark-sage);
    overflow-x: hidden;
}

h1 {
    color: var(--purple);
    font-family: var(--header1);
    font-weight: 900;
    font-size: 50px;
    margin: 0;
    text-transform: uppercase;
    align-self: center;
    justify-self: center;
}

h2, p, ul, a {
    color: var(--black);
    font-family: var(--body1);
    font-size: 23px;
    text-decoration: none;
}

h2 {
    color: var(--black);
    font-weight: normal;
}

img {
    width: 100%;
}

.dark-bg {
    background-color: var(--dark-sage);
}

.light-bg {
    background-color: var(--light-sage);
}



/* nav bar formatting */
.nav-bar {
    position: fixed;
    top: 2%;
    width: 90dvw;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--white);
    justify-self: center;
    height: 60px;
    border-radius: 50px;
    box-shadow: 3px 3px 6px #0000007c;
}

.nav-links {
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    width: 60%;
}

.nav-links a {
    font-weight: bold;
    text-transform: uppercase;
    color: var(--purple);
}

.nav-links a:hover {
    color: var(--dark-sage);
}

.icon {
    height: 30px;
    align-self: center;
    justify-self: center;
    fill: var(--purple);
}


/* hero formatting */
.hero-logo {
    margin-top: 5%;
    width: 100dvw;
    /* height: 75dvh; */
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--dark-sage);
}

.hero-logo img {
    height: 80dvh;
    background-color: var(--dark-sage);
    padding: 20px;
}



/* section formatting */
.dark-bg, .light-bg {
    padding: 2% 5%;
}

.container {
    display: flex;
    margin: 3% 0%;
    justify-content: center;
    align-items: center;
    gap: 5%;
}

.container-contact {
    display: flex;
    margin: 5% 0% 7% 0%;
    justify-content: center;
    align-items: center;
    gap: 8%;
}



/* ueber mich */
.portrait {
    display: flex;
    justify-content: center;
    align-items: center;
    /* padding: 5% 0%; */
}

.portrait img {
    border: 15px solid var(--yellow);
    border-radius: 50%;
    max-height: 500px;
}

.textbox {
    max-width: 50%;
}



/* angebot */
.card {
    background-color: var(--white);
    border-radius: 50px 50px 50px 5px;
    box-shadow: 3px 3px 6px #0000007c;
    align-self: stretch;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    row-gap: 10px;
    flex: 30%;
    min-height: 60vh;
}

.card-image {
    overflow: hidden;
    border-top-left-radius: inherit;
    border-top-right-radius: inherit;
    display: flex;
    align-items: center;
    justify-content: center;
}
.card-image img {
    object-fit: cover;
}

.card-title {
    font-family: var(--body1);
    font-weight: bold;
    font-size: 23px;
    align-self: center;
    text-transform: uppercase;
    color: var(--purple);
    padding: 15px;
}

.card-text {
    font-family: var(--body1);
    font-size: 20px;
    padding: 30px;
    padding-top: 0;
}





/* contact form */
.contact-selection {
    flex:35%;
    padding: 0% 0% 0% 10%;
    align-self: stretch;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
}

.contact-text {
    flex: 50%;
    height: 100%;
    padding: 0% 10% 0% 0%;
    align-self: center;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: flex-start;
}

label {
    color: var(--purple);
    font-family: var(--body1);
    font-weight: bold;
    font-size: 20px;
}

input, textarea {
    background-color: var(--white);
    border: 2px solid var(--purple);
    font-family: var(--body1);
    font-size: 18px;
}

input {
    padding: 15px;
    width: 100%;
    border-radius: 5px 25px 25px 25px;
    margin-top: 5px;
}

textarea {
    padding: 30px;
    width: 100%;
    height: 100%;
    border-radius: 50px 50px 50px 5px;
    resize: none;
    overflow: auto;
    align-self: stretch;
    margin-bottom: 5px;
    margin-top: 5px;
}

input:focus-within, textarea:focus-within {
    outline: none;
    border-color: var(--yellow);
    box-shadow: 3px 3px 6px #0000007c;
}

button {
    background-color: var(--yellow);
    color: var(--purple);
    font-family: var(--body1);
    font-size: 20px;
    font-weight: bold;
    border: 2px solid var(--purple);
    border-radius: 5px 20px 20px 20px;
    padding: 10px 15px;
    margin-top: 5px;
}

button:hover {
    background-color: var(--purple);
    color: var(--white);
    cursor: pointer;
    box-shadow: 3px 3px 6px #0000007c;
}



/* Footer */
footer {
    display: flex;
    padding: 30px 10%;
    justify-content: space-between;
    align-items: center;
    gap: 50px;
}

.footer-icon {
    display: flex;
    justify-items: start;
    object-fit: contain;
}

.footer-icon img {
    object-fit: contain;
    max-height: 15dvh;
}

.footer-links {
    display: flex;
    gap: 50px;
}

.footer-links a {
    color: var(--purple);
}


/* impressum */
.impressum-bg {
    height: 80dvh;
    width: 70dvw;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 5%;
    background-color: var(--white);
    margin-top: 70px;
    align-self: center;
    justify-self: center;
    border-radius: 150px;
    box-shadow: 3px 3px 6px #0000007c;
}


/* responsiveness */

@media (max-width: 1300px) {
    h1 {
        font-size: 30px;
        text-align: center;
        margin: 20px 0;
    }
    p {
        font-size: 19px;
    }
    .dark-bg, .light-bg {
        padding: 20px 20px;
    }
    .nav-bar {
        /* padding: 5px; */
        position: fixed;
        top: 0;
        margin: 0;
        border-radius: 0%;
        width: 100dvw;
    }
    .nav-links {
        width: 100%;
        justify-content: space-evenly;
    }
    .nav-bar a {
        font-size: 15px;
    }
    .hero-logo {
        height: 90dvh;
    }
    .container {
        flex-direction: column;
    }
    .portrait img {
        max-height: 300px;
    }
    .container-contact {
        flex-direction: column;
        gap: 25px;
        justify-content: center;
        align-items: baseline;
        padding: 0 10px;
    }
    .textbox {
        max-width: 100%;
        padding: 0 20px
    }
    .card {
        min-height: auto;
        margin-bottom: 25px;
    }
    .contact-text {
        padding: 0;
        width: 100%;
    }
    .contact-selection {
        padding: 0%;
    }
    input {
        width: auto;
    }
    textarea {
        width: auto;
    }
    footer {
        justify-content: center;
        gap: 20px;
    }
}